Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_node_from_typed_literal

## Name

librdf_new_node_from_typed_literal -- Constructor - create a new typed literal librdf_node object

## Synopsis

``librdf_node* `librdf_new_node_from_typed_literal`` (librdf_world * `world`, const char * `value`, const char * `xml_language`, librdf_uri* `datatype_uri`);`

## Arguments

`world`

  redland world object

`value`

  -- undescribed --

`xml_language`

  literal XML language (or NULL, empty string)

`datatype_uri`

  URI of typed literal datatype or NULL

## Return value

new librdf_node object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_node_from_literal | Up | librdf_new_node_from_blank_identifier